Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.handlers
Class ScriptHandler.LocalScriptDriver

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp
              oracle.ifs.core.tools.script.ScriptDriver
                  oracle.ifs.core.handlers.ScriptHandler.LocalScriptDriver

All Implemented Interfaces:
  java.lang.Runnable, Logger

Enclosing class:
  ScriptHandler

    public class ScriptHandler.LocalScriptDriver

extends ScriptDriver

LocalScriptDriver extends EcmScriptDriver to capture the log output, so that a result document can be created to show the results.

Field Summary

Fields inherited from class oracle.ifs.common.BaseApp
`m_currentuser, m_session`

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Constructor Summary
`ScriptHandler.LocalScriptDriver(java.lang.String[] args, boolean keepResults)` Constructs a LocalScriptDriver.

Method Summary
`java.lang.StringBuffer` | `getScriptResults()` Gets the script results.
`protected void` | `logToLogger(java.lang.String msg)` Log the specified message to the logger's log.
`protected void` | `logToOutput(java.lang.String msg)` Log the specified message to the configured output log.

Methods inherited from class oracle.ifs.core.tools.script.ScriptDriver
`applyLogLevelOverride, applyLogLevelOverrides, businessObjectExists, cloneDefinition, definitionExists, deregisterBusinessObject, deregisterDefinition, deregisterObject, deregisterSession, deregisterTransaction, getCurrentSession, getDefaultScriptOperations, getLogWriter, getShowDates, getStringsFromArrayToken, getStripNumbersFromAuditEventProperties, initializeLogging, log, logToLogger, lookupBusinessObject, lookupDefinition, lookupDefinition, lookupObject, lookupObject, lookupObjectId, lookupSessionByTag, lookupTagBySessionId, objectExists, parseTask, registerBusinessObject, registerDefinition, registerNewSession, registerObject, registerTransaction, replaceSession, run, sessionExists, setCurrentSession, setDefaultScriptOperations, setDefaultScriptOperationsClass, setMainSession, setMainSessionAsCurrentSession, setMethodList, transactionExists, verifyBusinessObjectTagNotExists, verifyDefinitionTagNotExists, verifyDefinitionWriteable, verifyObjectTagNotExists`

Methods inherited from class oracle.ifs.common.BaseApp
`connect, Connect, connect, Connect, Connect, Connect, connect, Connect, connect, Connect, Disconnect, getCachePerformanceString, getCleartextCredential, getCleartextCredential, getConnectionPoolPerformanceString, getConnectOptions, getConnectOptions, getConnectOptions, getLocale, showCachePerformance, showConnectionPoolPerformance`

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptHandler.LocalScriptDriver

    public ScriptHandler.LocalScriptDriver(java.lang.String[] args,
                                           boolean keepResults)

  Constructs a LocalScriptDriver.

  Parameters:
    `args` - the effective commandline args
    `keepResults` - indicates whether script results should be collected

Method Detail

### logToOutput

    protected void logToOutput(java.lang.String msg)

  Description copied from class: `ScriptDriver`
  Log the specified message to the configured output log.

  Overrides:
    `logToOutput` in class `ScriptDriver`
  Parameters:
    `msg` - The log message

### logToLogger

    protected void logToLogger(java.lang.String msg)

  Description copied from class: `ScriptDriver`
  Log the specified message to the logger's log.

  Overrides:
    `logToLogger` in class `ScriptDriver`
  Parameters:
    `msg` - The log message

### getScriptResults

    public java.lang.StringBuffer getScriptResults()

  Description copied from class: `ScriptHandler.LocalScriptDriver`
  Gets the script results.

  Returns:
    the results, or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD